Random (?) Eclipse problem with Karaf compilation

Tags: #<Tag:0x00007efedb274fd0> #<Tag:0x00007efedb274328> #<Tag:0x00007efedb20b850>

Hello,

It is for the third time that Eclipse for no apparent reason gives me an error which is a showstopper for me.
No reason means Eclipse works fine one day and on the next day I start it and boom.
I cleaned up my whole home directory (hidden files for maven, eclipse, etc.), installed IDE from scratch and this is all the same. Last time such cleanup helped, but it seems it was just a coincidence.

Because this issue comes and goes away for me really randomly and I don’t know why, I am asking experts for help to really root cause and fix that: @Kai @martinvw @triller-telekom

The issue is in karaf compilation:
Plugin execution not covered by lifecycle configuration: org.apache.maven.plugins:maven-compiler-plugin:3.6.1:compile (execution: default, phase: compile)

Thank you very much!
PS This is Ubuntu 16.04 over Quartz on Mac.

I would need to look why the error is shown, but there is a terribly easy workaround: Simply close the org.openhab.core.karaf project as that is not needed for the execution of the runtime from within the IDE.

Oh, that’s exactly what I needed - somehow it seemed to me karaf must be there.

I think it would be cool to find a correlation between this error and something other unknown that happens and makes it appear. I have no experience with maven and eclipse integration, but I will be happy to dig into that if you could point me in some direction.

Thanks!